Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTIFFReader Class Reference

`#include <vtkTIFFReader.h>`

Inheritance diagram for vtkTIFFReader:

[legend]
Collaboration diagram for vtkTIFFReader:

[legend]
List of all members.

## Detailed Description

read TIFF files

Date:
  2002/11/12 19:44:35

Revision:
  1.26

vtkTIFFReader is a source object that reads TIFF files. It should be able to read most any TIFF file

See also:
  vtkTIFFWriter

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Cedilnik, Andy (61%)
  - Martin, Ken (29%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkTIFFReader.h)`
  - .`cxx` (`/IO/vtkTIFFReader.cxx)`

Tests:
  vtkTIFFReader (Tests)

Definition at line 76 of file vtkTIFFReader.h.

## Public Types
typedef vtkImageReader2 | Superclass
enum | { NOFORMAT, RGB, GRAYSCALE, PALETTE_RGB, PALETTE_GRAYSCALE, OTHER }
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual int | CanReadFile (const char *fname)
void | InitializeColors ()
void | ReadImageInternal (void *, void *outPtr, int *outExt, unsigned int size)
virtual const char * | GetFileExensions ()
virtual const char * | GetDescriptiveName ()
vtkTIFFReaderInternal * | GetInternalImage ()
## Static Public Methods
vtkTIFFReader * | New ()
int | IsTypeOf (const char *type)
vtkTIFFReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkTIFFReader ()
| ~vtkTIFFReader ()
void | GetColor (int index, unsigned short *r, unsigned short *g, unsigned short *b)
unsigned int | GetFormat ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *out)
void | ReadGenericImage (void *out, unsigned int width, unsigned int height, unsigned int size)
int | EvaluateImageAt (void *, void *)

## Member Typedef Documentation

typedef vtkImageReader2 vtkTIFFReader::Superclass

| Reimplemented from vtkImageReader2. Definition at line 80 of file vtkTIFFReader.h.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  NOFORMAT |
  RGB |
  GRAYSCALE |
  PALETTE_RGB |
  PALETTE_GRAYSCALE |
  OTHER |
Definition at line 107 of file vtkTIFFReader.h.

## Constructor & Destructor Documentation

vtkTIFFReader::vtkTIFFReader | ( |  | ) | `[protected]`

vtkTIFFReader::~vtkTIFFReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkTIFFReader* vtkTIFFReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageReader2.

virtual const char* vtkTIFFReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageReader2.

int vtkTIFFReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader2.

virtual int vtkTIFFReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader2.

vtkTIFFReader* vtkTIFFReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageReader2.

virtual void vtkTIFFReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageReader2.

virtual int vtkTIFFReader::CanReadFile | ( | const char * | fname | ) | `[virtual]`

virtual const char* vtkTIFFReader::GetFileExensions | ( |  | ) | `[inline, virtual]`

| Get the file extensions for this format. Returns a string with a space separated list of extensions in the format .extension Reimplemented from vtkImageReader2. Definition at line 88 of file vtkTIFFReader.h.

virtual const char* vtkTIFFReader::GetDescriptiveName | ( |  | ) | `[inline, virtual]`

| Return a descriptive name for the file format that might be useful in a GUI. Reimplemented from vtkImageReader2. Definition at line 97 of file vtkTIFFReader.h.

void vtkTIFFReader::InitializeColors | ( |  | ) |

| Auxilary methods used by the reader internally.

void vtkTIFFReader::ReadImageInternal | ( | void * | ,
|  | void * | outPtr,
|  | int * | outExt,
|  | unsigned int | size
| ) |

vtkTIFFReaderInternal* vtkTIFFReader::GetInternalImage | ( |  | ) | `[inline]`

| Method to access internal image. Not to be used outside the class. Definition at line 115 of file vtkTIFFReader.h.

void vtkTIFFReader::GetColor | ( | int | index,
|  | unsigned short * | r,
|  | unsigned short * | g,
|  | unsigned short * | b
| ) | `[protected]`

unsigned int vtkTIFFReader::GetFormat | ( |  | ) | `[protected]`

virtual void vtkTIFFReader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader2.

virtual void vtkTIFFReader::ExecuteData | ( | vtkDataObject * | out | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader2.

void vtkTIFFReader::ReadGenericImage | ( | void * | out,
|  | unsigned int | width,
|  | unsigned int | height,
|  | unsigned int | size
| ) | `[protected]`

int vtkTIFFReader::EvaluateImageAt | ( | void * | ,
|  | void * |
| ) | `[protected]`

The documentation for this class was generated from the following file:

- IO/vtkTIFFReader.h